#include "AddRCPT.moc"
#include "MailValidator.h"

#include <qtooltip.h>

#include <klineedit.h>
#include <klocale.h>
#include <kapplication.h>

AddRCPT::AddRCPT(QWidget * parent, char *)
  : KLineEditDlg(i18n("Address:"), QString::null, parent)
{
	setCaption(i18n("Add Recipient for Upload-Notification"));
	MailValidator *v=new MailValidator(0,0);
	lineEdit()->setValidator(v);
}
AddRCPT::~AddRCPT()
{
}
void AddRCPT::slotOk()
{
	QString f=lineEdit()->text();
	if(!f.isEmpty())
		emit RCPTAdded(f);
	accept();
}
